Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
Interface MetaClassRegistry

All Known Implementing Classes:
  MetaClassRegistryImpl

    public interface MetaClassRegistry

A MetaClassRegistry is an object that is responsible for managing the a cache of MetaClass instances. Each java.lang.Class instance has an associated MetaClass and client code can query this interface for the MetaClass for a given associated java.lang.Class

Author:
  John Wilson, Graeme Rocher
See Also:
  `MetaClass`

Nested Class Summary
`static class` | `MetaClassRegistry.MetaClassCreationHandle` Class used as base for the creation of MetaClass implementations.

Method Summary
`MetaClass` | `getMetaClass(Class theClass)`
`MetaClassRegistry.MetaClassCreationHandle` | `getMetaClassCreationHandler()` Retrieves the MetaClassCreationHandle that is responsible for constructing MetaClass instances
`void` | `removeMetaClass(Class theClass)` Removes a cached MetaClass from the registry
`void` | `setMetaClass(Class theClass, MetaClass theMetaClass)`
`void` | `setMetaClassCreationHandle(MetaClassRegistry.MetaClassCreationHandle handle)` Sets the MetaClassCreationHandle instance that is responsible for constructing instances

Method Detail

### getMetaClass

    MetaClass getMetaClass(Class theClass)

### setMetaClass

    void setMetaClass(Class theClass,
                      MetaClass theMetaClass)

### removeMetaClass

    void removeMetaClass(Class theClass)

  Removes a cached MetaClass from the registry

  Parameters:
    `theClass` - The Java class of the MetaClass to remove

### getMetaClassCreationHandler

    MetaClassRegistry.MetaClassCreationHandle getMetaClassCreationHandler()

  Retrieves the MetaClassCreationHandle that is responsible for constructing MetaClass instances

  Returns:
    The MetaClassCreationHandle instance

### setMetaClassCreationHandle

    void setMetaClassCreationHandle(MetaClassRegistry.MetaClassCreationHandle handle)

  Sets the MetaClassCreationHandle instance that is responsible for constructing instances

  Parameters:
    `handle` - The hande instance

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD